import { useEffect } from "react";

interface KeyboardShortcutWrapperProps {
  onExit?: () => void;
  children: JSX.Element;
}

export default function KeyboardShortcutWrapper({
  onExit,
  children,
}: KeyboardShortcutWrapperProps) {
  useEffect(() => {
    const cb = (evt: KeyboardEvent) => {
      console.log("hellosu", evt);

      if (evt.key === "Escape") {
        onExit?.();
      }
    };
    document.addEventListener("keyup", cb);
    return () => {
      document.removeEventListener("keyup", cb);
    };
  }, []);

  return children;
}
