import { ChangeEvent, HTMLProps } from "react";

interface InputBoxProps extends HTMLProps<HTMLInputElement> {
  setValue: (_: string) => any;
}

export default function InputBox({ setValue, ...props }: InputBoxProps) {
  const newOnChange = (evt: ChangeEvent<HTMLInputElement>) => {
    setValue(evt.target.value);
  };

  return <input onChange={newOnChange} {...props} />;
}
