import type { Meta, StoryObj } from "@storybook/react";

import ToggleSwitch from "./ToggleSwitch";
import { createElement } from "react";

const meta: Meta<typeof ToggleSwitch> = {
  component: ToggleSwitch,
  argTypes: { setValue: { action: "changedTo" } },
};

export default meta;
type Story = StoryObj<typeof ToggleSwitch>;

export const Primary: Story = {
  args: {
    options: ["Hello", "World"],
    renderValue: (x) => createElement("div", null, x),
  },
  parameters: {
    backgrounds: {
      values: [
        { name: "red", value: "#f00" },
        { name: "green", value: "#0f0" },
        { name: "blue", value: "#00f" },
      ],
    },
  },
};
